package Shipment::FedEx::WSDL::TrackTypes::PieceCountVerificationDetail;
$Shipment::FedEx::WSDL::TrackTypes::PieceCountVerificationDetail::VERSION = '3.07';
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://fedex.com/ws/track/v9' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %CountLocationType_of :ATTR(:get<CountLocationType>);
my %Count_of :ATTR(:get<Count>);
my %Description_of :ATTR(:get<Description>);

__PACKAGE__->_factory(
    [ qw(        CountLocationType
        Count
        Description

    ) ],
    {
        'CountLocationType' => \%CountLocationType_of,
        'Count' => \%Count_of,
        'Description' => \%Description_of,
    },
    {
        'CountLocationType' => 'Shipment::FedEx::WSDL::TrackTypes::PieceCountLocationType',
        'Count' => 'SOAP::WSDL::XSD::Typelib::Builtin::nonNegativeInteger',
        'Description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'CountLocationType' => 'CountLocationType',
        'Count' => 'Count',
        'Description' => 'Description',
    }
);

} # end BLOCK







1;

__END__

=pod

=encoding UTF-8

=head1 NAME

Shipment::FedEx::WSDL::TrackTypes::PieceCountVerificationDetail

=head1 VERSION

version 3.07

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
PieceCountVerificationDetail from the namespace http://fedex.com/ws/track/v9.

=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * CountLocationType

=item * Count

=item * Description

=back

=head1 NAME

Shipment::FedEx::WSDL::TrackTypes::PieceCountVerificationDetail

=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # Shipment::FedEx::WSDL::TrackTypes::PieceCountVerificationDetail
   CountLocationType => $some_value, # PieceCountLocationType
   Count =>  $some_value, # nonNegativeInteger
   Description =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=head1 AUTHOR

Andrew Baerg <baergaj@cpan.org>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2018 by Andrew Baerg.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
