package Shipment::UPS::WSDL::TrackTypes::OriginPortDetailType;
$Shipment::UPS::WSDL::TrackTypes::OriginPortDetailType::VERSION = '3.07';
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.ups.com/XMLSchema/XOLTWS/Track/v2.0' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %OriginPort_of :ATTR(:get<OriginPort>);
my %EstimatedDeparture_of :ATTR(:get<EstimatedDeparture>);

__PACKAGE__->_factory(
    [ qw(        OriginPort
        EstimatedDeparture

    ) ],
    {
        'OriginPort' => \%OriginPort_of,
        'EstimatedDeparture' => \%EstimatedDeparture_of,
    },
    {
        'OriginPort' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'EstimatedDeparture' => 'Shipment::UPS::WSDL::TrackTypes::DateTimeType',
    },
    {

        'OriginPort' => 'OriginPort',
        'EstimatedDeparture' => 'EstimatedDeparture',
    }
);

} # end BLOCK







1;

__END__

=pod

=encoding UTF-8

=head1 NAME

Shipment::UPS::WSDL::TrackTypes::OriginPortDetailType

=head1 VERSION

version 3.07

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
OriginPortDetailType from the namespace http://www.ups.com/XMLSchema/XOLTWS/Track/v2.0.

=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * OriginPort

=item * EstimatedDeparture

=back

=head1 NAME

Shipment::UPS::WSDL::TrackTypes::OriginPortDetailType

=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # Shipment::UPS::WSDL::TrackTypes::OriginPortDetailType
   OriginPort =>  $some_value, # string
   EstimatedDeparture =>  { # Shipment::UPS::WSDL::TrackTypes::DateTimeType
     Date =>  $some_value, # string
     Time =>  $some_value, # string
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=head1 AUTHOR

Andrew Baerg <baergaj@cpan.org>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2018 by Andrew Baerg.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
